Bug 987862 - guide button at top navigation bar in user and admin portals opens portal selection page
guide button at top navigation bar in user and admin portals opens portal sel...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.1
Assigned To: Greg Sheremeta
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 06:18 EDT by Assaf Muller
Modified: 2013-11-25 06:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 06:51:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18146 None None None Never
oVirt gerrit 18152 None None None Never

  None (edit)
Description Assaf Muller 2013-07-24 06:18:58 EDT
Description of problem:
In the user and admin portals, the guide button at the top navigation bar brings up a popup with the portal selection screen

Expected results:
The guide button should bring up the guide menu, telling you how to configure a data center, host and so on. Or: Change the name of the guide button to 'Portals', or 'Back'.
Comment 1 Einav Cohen 2013-08-06 16:10:50 EDT
currently, the 'Guide' link leads to [1] which doesn't exist.
moreover, there is a lot of logic (in AbstractHeaderPresenterWidget.java) that seem unnecessary to me.

I suggest the following:

(a) make the "Guide" link-URL brandable (just like the 'Feedback' button) and have it point by default to: http://www.ovirt.org/Documentation

(b) remove the "DocsURL" config value from oVirt-engine altogether (assuming it is not being used anywhere)

[(a) and (b) can be done in separate patches]

[1] http://10.18.57.195:8080/docs/{userLocale}/html/Administration_Guide/index.html
Comment 2 Einav Cohen 2013-08-06 16:15:51 EDT
(In reply to Einav Cohen from comment #1)
> currently, the 'Guide' link leads to [1] which doesn't exist.
> moreover, there is a lot of logic (in AbstractHeaderPresenterWidget.java)
> that seem unnecessary to me.
> 
> I suggest the following:
> 
> (a) make the "Guide" link-URL brandable (just like the 'Feedback' button)
> and have it point by default to: http://www.ovirt.org/Documentation
> 
> (b) remove the "DocsURL" config value from oVirt-engine altogether (assuming
> it is not being used anywhere)
> 
> [(a) and (b) can be done in separate patches]
> 
> [1]
> http://10.18.57.195:8080/docs/{userLocale}/html/Administration_Guide/index.
> html

s/10.18.57.195:8080/[engine-server:engine-port]
Comment 3 Greg Sheremeta 2013-08-14 11:42:28 EDT
(a) is done in oVirt gerrit patch 18146
Comment 4 Greg Sheremeta 2013-08-14 18:11:56 EDT
(b) is done in oVirt gerrit patch 18152
Comment 5 Sandro Bonazzola 2013-11-25 06:51:36 EST
oVirt 3.3.1 has been released

Note You need to log in before you can comment on or make changes to this bug.